File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxextension.c File Reference

`#include "dmx.h"`
`#include "dmxinit.h"`
`#include "dmxextension.h"`
`#include "dmxwindow.h"`
`#include "dmxcb.h"`
`#include "dmxcursor.h"`
`#include "dmxpixmap.h"`
`#include "dmxgc.h"`
`#include "dmxfont.h"`
`#include "dmxcmap.h"`
`#include "dmxpict.h"`
`#include "dmxinput.h"`
`#include "dmxsync.h"`
`#include "dmxscrinit.h"`
`#include "input/dmxinputinit.h"`
`#include "windowstr.h"`
`#include "inputstr.h"`
`#include "dmxproto.h"`
`#include "cursorstr.h"`

## Functions
Bool | dmxGetScreenAttributes (int physical, DMXScreenAttributesPtr attr)
Bool | dmxGetWindowAttributes (WindowPtr pWindow, DMXWindowAttributesPtr attr)
int | dmxGetInputCount (void)
int | dmxGetInputAttributes (int deviceId, DMXInputAttributesPtr attr)
int | dmxAddInput (DMXInputAttributesPtr attr, int *id)
int | dmxRemoveInput (int id)
unsigned long | dmxGetNumScreens (void)
void | dmxForceWindowCreation (WindowPtr pWindow)
void | dmxFlushPendingSyncs (void)
int | dmxAttachScreen (int idx, DMXScreenAttributesPtr attr)
int | dmxDetachScreen (int idx)

## Detailed Description

This file provides the only interface to the X server extension support in programs/Xserver/Xext. Those programs should only include dmxext.h

## Function Documentation

int dmxAddInput | ( | DMXInputAttributesPtr | attr,
|  | int * | id
| ) |

| Add an input with the specified attributes. If the input is added, the physical id is returned in deviceId.

int dmxAttachScreen | ( | int | idx,
|  | DMXScreenAttributesPtr | attr
| ) |

| Reattach previously detached back-end screen.

int dmxDetachScreen | ( | int | idx | ) |

| Detach back-end screen.

void dmxFlushPendingSyncs | ( | void |  | ) |

| Flush pending syncs for all screens.

void dmxForceWindowCreation | ( | WindowPtr | pWindow | ) |

| Make sure that dmxCreateAndRealizeWindow has been called for pWindow.

int dmxGetInputAttributes | ( | int | deviceId,
|  | DMXInputAttributesPtr | attr
| ) |

| Return information about the device with id = deviceId. This information is primarily for the ProcDMXGetInputAttributes() function, which does not have access to the appropriate data structure.

int dmxGetInputCount | ( | void |  | ) |

| Return the total number of devices, not just dmxNumInputs. The number returned should be the same as that returned by XListInputDevices.

unsigned long dmxGetNumScreens | ( | void |  | ) |

| Return the value of dmxNumScreens -- the total number of backend screens in use (these are logical screens and may be larger than the number of backend displays).

Bool dmxGetScreenAttributes | ( | int | physical,
|  | DMXScreenAttributesPtr | attr
| ) |

| This routine provides information to the DMX protocol extension about a particular screen.

Bool dmxGetWindowAttributes | ( | WindowPtr | pWindow,
|  | DMXWindowAttributesPtr | attr
| ) |

| This routine provides information to the DMX protocol extension about a particular window.

int dmxRemoveInput | ( | int | id | ) |

| Remove the input with physical id id.